Project

General

Profile

Statistics
| Branch: | Tag: | Revision:

cdm-vaadin / pom.xml @ 85bd4946

History | View | Annotate | Download (23.1 KB)

1
<?xml version="1.0" encoding="UTF-8"?>
2
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
3
  <modelVersion>4.0.0</modelVersion>
4
  <groupId>eu.etaxonomy</groupId>
5
  <artifactId>cdm-vaadin</artifactId>
6
  <packaging>war</packaging>
7
  <version>5.13.0-SNAPSHOT</version>
8
  <name>Vaadin Web Application</name>
9
  <properties>
10
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
11
    <vaadin.version>7.7.13</vaadin.version>
12
    <vaadin-spring.version>1.2.0</vaadin-spring.version>
13
    <vaadin.plugin.version>${vaadin.version}</vaadin.plugin.version>
14
    <vaadin-spring-addon-eventbus.version>2.0.0.RELEASE</vaadin-spring-addon-eventbus.version>
15
    <cdmlib.version>5.13.0-SNAPSHOT</cdmlib.version>
16
    <unitils.version>3.4.2</unitils.version>
17
    <spring-boot.version>1.3.1.RELEASE</spring-boot.version>
18
    <!-- has spring 4.2.4-RELEASE as dependency --> 
19
    <!-- 
20
        lucene.version must match the version as defined in cdmlib
21
    -->
22
    <lucene.version>5.4.1</lucene.version>
23
    <maven.compiler.source>1.8</maven.compiler.source>
24
    <maven.compiler.target>1.8</maven.compiler.target>
25
  </properties>
26
  <prerequisites>
27
    <maven>3.0.5</maven>
28
  </prerequisites>
29
  <repositories>
30
    <!-- the cdm internal repository -->
31
    <repository>
32
      <id>EditRepository</id>
33
      <url>http://cybertaxonomy.eu/mavenrepo/</url>
34
    </repository>
35
    <!-- current spring source repositories -->
36
    <repository>
37
      <id>SpringSource Enterprise Bundle Repository - External Bundle Milestones</id>
38
      <url>http://repository.springsource.com/maven/bundles/milestone</url>
39
    </repository>
40
    <repository>
41
      <id>SpringSource Enterprise Bundle Repository - SpringSource Bundle Releases</id>
42
      <url>http://repository.springsource.com/maven/bundles/release</url>
43
    </repository>
44
    <repository>
45
      <id>SpringSource Enterprise Bundle Repository - External Bundle Releases</id>
46
      <url>http://repository.springsource.com/maven/bundles/external</url>
47
    </repository>
48
    <repository>
49
      <id>vaadin-addons</id>
50
      <url>http://maven.vaadin.com/vaadin-addons</url>
51
    </repository>
52
    <repository>
53
      <id>vaadin-snapshots</id>
54
      <url>http://oss.sonatype.org/content/repositories/vaadin-snapshots/</url>
55
      <releases>
56
        <enabled>false</enabled>
57
      </releases>
58
      <snapshots>
59
        <enabled>true</enabled>
60
      </snapshots>
61
    </repository>
62
  </repositories>
63
  <pluginRepositories>
64
    <pluginRepository>
65
      <id>vaadin-snapshots</id>
66
      <url>http://oss.sonatype.org/content/repositories/vaadin-snapshots/</url>
67
      <releases>
68
        <enabled>false</enabled>
69
      </releases>
70
      <snapshots>
71
        <enabled>true</enabled>
72
      </snapshots>
73
    </pluginRepository>
74
  </pluginRepositories>
75
  <dependencyManagement>
76
    <dependencies>
77
      <dependency>
78
        <groupId>eu.etaxonomy</groupId>
79
        <artifactId>cdmlib-parent</artifactId>
80
        <version>${cdmlib.version}</version>
81
        <type>pom</type>
82
        <scope>import</scope>
83
      </dependency>
84
      <dependency>
85
        <groupId>org.springframework.boot</groupId>
86
        <artifactId>spring-boot-starter-parent</artifactId>
87
        <version>${spring-boot.version}</version>
88
        <type>pom</type>
89
        <scope>import</scope>
90
      </dependency>
91
      <dependency>
92
        <groupId>com.vaadin</groupId>
93
        <artifactId>vaadin-bom</artifactId>
94
        <version>${vaadin.version}</version>
95
        <type>pom</type>
96
        <scope>import</scope>
97
      </dependency>
98
      <dependency>
99
        <!-- Try updating in cdmlib to 20090211 -->
100
        <groupId>org.json</groupId>
101
        <artifactId>json</artifactId>
102
        <version>20151123</version>
103
      </dependency>
104
    
105
    
106
    
107
    
108
    
109
    
110
    
111
      <!-- 
112
      <dependency>
113
        < ! - - FIXME move to cdmlib-test - - >
114
        <groupId>org.springframework</groupId>
115
        <artifactId>spring-mock</artifactId>
116
        <version>4.2.3.RELEASE</version>
117
      </dependency>
118
      <dependency>
119
        <groupId>org.seleniumhq.selenium</groupId>
120
        <artifactId>selenium-api</artifactId>
121
        <version>3.5.3</version>
122
      </dependency>
123
      <dependency>
124
        <groupId>org.seleniumhq.selenium</groupId>
125
        <artifactId>selenium-support</artifactId>
126
        <version>3.5.3</version>
127
      </dependency>
128
      -->
129
    </dependencies>
130
  </dependencyManagement>
131
  <distributionManagement>
132
    <repository>
133
      <uniqueVersion>false</uniqueVersion>
134
      <id>cybertaxonomy.eu</id>
135
      <name>Edit Maven Repository</name>
136
      <url>scpexe://cybertaxonomy.eu/var/www/wp5.e-taxonomy.eu/mavenrepo/</url>
137
      <layout>default</layout>
138
    </repository>
139
  </distributionManagement>
140
  <profiles>
141
    <profile>
142
      <id>align-cdmlib-version</id>
143
      <activation>
144
        <property>
145
          <name>align-cdmlib-version</name>
146
        </property>
147
      </activation>
148
      <build>
149
        <plugins>
150
          <plugin>
151
            <groupId>com.google.code.maven-replacer-plugin</groupId>
152
            <artifactId>replacer</artifactId>
153
            <version>1.5.3</version>
154
            <executions>
155
              <execution>
156
                <phase>process-sources</phase>
157
                <goals>
158
                  <goal>replace</goal>
159
                </goals>
160
              </execution>
161
            </executions>
162
            <configuration>
163
              <file>pom.xml</file>
164
              <!-- \u003C = < , \u003E = > -->
165
              <token>(\u003Ccdmlib\.version\u003E)[^\u003C]*</token>
166
              <value>$1${project.version}</value>
167
            </configuration>
168
          </plugin>
169
        </plugins>
170
      </build>
171
    </profile>
172
    <profile>
173
      <id>java8-doclint-disabled</id>
174
      <activation>
175
        <jdk>[1.8,)</jdk>
176
      </activation>
177
      <properties>
178
        <javadoc.opts>-Xdoclint:none</javadoc.opts>
179
      </properties>
180
    </profile>
181
  </profiles>
182
  <build>
183
    <resources>
184
      <resource>
185
        <!-- all main resources without filtering -->
186
        <directory>src/main/resources</directory>
187
      </resource>
188
      <resource>
189
        <!-- replace the place holders like ${...} in datasources.xml -->
190
        <filtering>true</filtering>
191
        <directory>src/test/resources</directory>
192
        <targetPath>../test-classes</targetPath>
193
        <includes>
194
          <include>datasources.xml</include>
195
        </includes>
196
      </resource>
197
      <resource>
198
        <!-- all other test resources without filtering -->
199
        <directory>src/test/resources</directory>
200
        <targetPath>../test-classes</targetPath>
201
        <excludes>
202
          <exclude>datasources.xml</exclude>
203
        </excludes>
204
      </resource>
205
    </resources>
206
    <plugins>
207
      <plugin>
208
        <groupId>org.apache.maven.plugins</groupId>
209
        <artifactId>maven-resources-plugin</artifactId>
210
        <version>3.0.1</version>
211
      </plugin>
212
      <plugin>
213
        <groupId>org.apache.maven.plugins</groupId>
214
        <artifactId>maven-compiler-plugin</artifactId>
215
        <version>3.3</version>
216
        <configuration>
217
          <source>${maven.compiler.source}</source>
218
          <target>${maven.compiler.target}</target>
219
          <encoding>UTF-8</encoding>
220
        </configuration>
221
      </plugin>
222
      <plugin>
223
        <groupId>org.apache.maven.plugins</groupId>
224
        <artifactId>maven-surefire-plugin</artifactId>
225
        <version>2.19.1</version>
226
        <configuration>
227
          <argLine>-Xms256m -Xmx512m</argLine>
228
        </configuration>
229
      </plugin>
230
      <!-- As we are doing "inplace" GWT compilation, ensure the widgetset -->
231
      <!-- directory is cleaned properly -->
232
      <plugin>
233
        <artifactId>maven-clean-plugin</artifactId>
234
        <version>2.4.1</version>
235
        <configuration>
236
          <filesets>
237
            <fileset>
238
              <directory>src/main/webapp/VAADIN/widgetsets</directory>
239
            </fileset>
240
          </filesets>
241
        </configuration>
242
      </plugin>
243
      <plugin>
244
        <groupId>org.apache.maven.plugins</groupId>
245
        <artifactId>maven-javadoc-plugin</artifactId>
246
        <version>2.9.1</version>
247
        <configuration>
248
          <additionalparam>${javadoc.opts}</additionalparam>
249
        </configuration>
250
      </plugin>
251
      <plugin>
252
        <groupId>org.apache.maven.plugins</groupId>
253
        <artifactId>maven-war-plugin</artifactId>
254
        <version>2.2</version>
255
        <configuration>
256
          <failOnMissingWebXml>false</failOnMissingWebXml>
257
          <warSourceExcludes>WEB-INF/*,WEB-INF/datasources/*</warSourceExcludes>
258
        </configuration>
259
      </plugin>
260
      <plugin>
261
        <groupId>com.vaadin</groupId>
262
        <artifactId>vaadin-maven-plugin</artifactId>
263
        <version>${vaadin.plugin.version}</version>
264
        <configuration>
265
          <extraJvmArgs>-Xmx512M -Xss1024k</extraJvmArgs>
266
          <!-- We are doing "inplace" but into subdir VAADIN/widgetsets. 
267
            This way compatible with Vaadin eclipse plugin. -->
268
          <webappDirectory>${basedir}/src/main/webapp/VAADIN/widgetsets</webappDirectory>
269
          <hostedWebapp>${basedir}/src/main/webapp/VAADIN/widgetsets</hostedWebapp>
270
          <!-- Most Vaadin apps don't need this stuff, guide that to target -->
271
          <persistentunitcachedir>${project.build.directory}</persistentunitcachedir>
272
          <deploy>${project.build.directory}/gwt-deploy</deploy>
273
          <!-- Compile report is not typically needed either, saves hunreds 
274
            of mb disk -->
275
          <compileReport>false</compileReport>
276
          <noServer>true</noServer>
277
          <!-- Remove draftCompile when project is ready -->
278
          <draftCompile>false</draftCompile>
279
          <style>OBF</style>
280
          <runTarget>http://localhost:8080/</runTarget>
281
        </configuration>
282
        <executions>
283
          <execution>
284
            <configuration>
285
              <!-- if you don't specify any modules, the plugin will find 
286
                them -->
287
              <!-- <modules> <module>com.vaadin.demo.mobilemail.gwt.ColorPickerWidgetSet</module> 
288
                </modules> -->
289
            </configuration>
290
            <goals>
291
              <goal>clean</goal>
292
              <goal>resources</goal>
293
              <goal>update-theme</goal>
294
              <goal>update-widgetset</goal>
295
              <goal>compile-theme</goal>
296
              <goal>compile</goal>
297
            </goals>
298
          </execution>
299
        </executions>
300
      </plugin>
301
      <plugin>
302
        <groupId>org.eclipse.jetty</groupId>
303
        <artifactId>jetty-maven-plugin</artifactId>
304
        <version>9.4.15.v20190215</version>
305
        <!--  
306
            NOTE:
307
            9.4.0.RC1 requires jdk 1.8, formerly we've been using version 9.1.3.v20140225 which was 
308
            the last version compatible to java 7, but this was causing other problems related to asm
309
            which could not be easily solved.
310
        -->
311
        <configuration>
312
          <useTestScope>true</useTestScope>
313
          <scanIntervalSeconds>2</scanIntervalSeconds>
314
          <systemProperties>
315
            <force>true</force>
316
            <systemProperty>
317
              <name>cdm.datasource</name>
318
              <value>h2_cdmTest</value>
319
            </systemProperty>
320
            <systemProperty>
321
              <name>hibernate.hbm2ddl.auto</name>
322
              <value>create-drop</value>
323
            </systemProperty>
324
            <systemProperty>
325
              <!-- 
326
                The lucene index should be placed into the target folder, 
327
                so user.home needs to be set to this folder. user.home needs to be overridden 
328
                since it already exists, thus the force option is turned on above 
329
              -->
330
              <name>user.home</name>
331
              <value>${basedir}/target/</value>
332
            </systemProperty>
333
            <systemProperty>
334
              <!-- 
335
                datasources.xml is prepared by <plugins><resources>..</resources> above 
336
               -->
337
              <name>cdm.beanDefinitionFile</name>
338
              <value>${project.build.directory}/test-classes/datasources.xml</value>
339
            </systemProperty>
340
          </systemProperties>
341
        </configuration>
342
        <dependencies>
343
          <dependency>
344
            <groupId>org.slf4j</groupId>
345
            <artifactId>slf4j-log4j12</artifactId>
346
            <version>1.6.4</version>
347
          </dependency>
348
        </dependencies>
349
      </plugin>
350
      <plugin>
351
        <groupId>org.apache.maven.plugins</groupId>
352
        <artifactId>maven-failsafe-plugin</artifactId>
353
        <version>2.17</version>
354
        <configuration>
355
          <!-- Remove the skipTests line below to run TestBench tests -->
356
          <!-- <skipTests>true</skipTests> -->
357
        </configuration>
358
        <executions>
359
          <execution>
360
            <goals>
361
              <goal>integration-test</goal>
362
              <goal>verify</goal>
363
            </goals>
364
          </execution>
365
        </executions>
366
      </plugin>
367
      <!-- Browser Driver Downloader -->
368
      <plugin>
369
        <groupId>com.lazerycode.selenium</groupId>
370
        <artifactId>driver-binary-downloader-maven-plugin</artifactId>
371
        <version>1.0.14</version>
372
        <!-- has a bug -->
373
        <configuration>
374
          <rootStandaloneServerDirectory>selenium/bin</rootStandaloneServerDirectory>
375
          <downloadedZipFileDirectory>selenium/zip</downloadedZipFileDirectory>
376
        </configuration>
377
        <executions>
378
          <execution>
379
            <goals>
380
              <goal>selenium</goal>
381
            </goals>
382
          </execution>
383
        </executions>
384
      </plugin>
385
      <plugin>
386
        <groupId>external.atlassian.jgitflow</groupId>
387
        <artifactId>jgitflow-maven-plugin</artifactId>
388
        <version>1.0-m6</version>
389
        <configuration>
390
          <pushHotfixes>true</pushHotfixes>
391
          <pushReleases>true</pushReleases>
392
          <enableSshAgent>true</enableSshAgent>
393
          <allowSnapshots>true</allowSnapshots>
394
          <allowUntracked>true</allowUntracked>
395
        </configuration>
396
        <dependencies>
397
          <!-- upgrading dependency jsch.agent.version of jgit-flow plugin 
398
            to 0.1.53 in order have ssl key exchange algorithms compatible with openssh 
399
            6.7 -->
400
          <dependency>
401
            <groupId>com.jcraft</groupId>
402
            <artifactId>jsch</artifactId>
403
            <version>0.1.53</version>
404
          </dependency>
405
        </dependencies>
406
      </plugin>
407
    </plugins>
408
    <extensions>
409
      <extension>
410
        <groupId>org.apache.maven.wagon</groupId>
411
        <artifactId>wagon-scm</artifactId>
412
        <version>1.0-beta-6</version>
413
      </extension>
414
      <extension>
415
        <groupId>org.apache.maven.wagon</groupId>
416
        <artifactId>wagon-ssh</artifactId>
417
        <version>1.0-beta-6</version>
418
      </extension>
419
      <extension>
420
        <groupId>org.apache.maven.wagon</groupId>
421
        <artifactId>wagon-ssh-external</artifactId>
422
        <version>1.0-beta-6</version>
423
      </extension>
424
      <extension>
425
        <groupId>org.apache.maven.scm</groupId>
426
        <artifactId>maven-scm-manager-plexus</artifactId>
427
        <version>1.0</version>
428
      </extension>
429
      <extension>
430
        <groupId>org.apache.maven.scm</groupId>
431
        <artifactId>maven-scm-provider-svnexe</artifactId>
432
        <version>1.0</version>
433
      </extension>
434
      <!-- WebDAV plugin to upload snapshots -->
435
      <extension>
436
        <groupId>org.apache.maven.wagon</groupId>
437
        <artifactId>wagon-webdav</artifactId>
438
        <version>1.0-beta-2</version>
439
      </extension>
440
    </extensions>
441
    <pluginManagement>
442
      <plugins>
443
        <plugin>
444
          <artifactId>maven-eclipse-plugin</artifactId>
445
          <configuration>
446
            <wtpversion>2.0</wtpversion>
447
            <additionalProjectnatures>
448
              <projectnature>com.vaadin.integration.eclipse.widgetsetNature</projectnature>
449
            </additionalProjectnatures>
450
            <additionalBuildcommands>
451
              <buildcommand>com.vaadin.integration.eclipse.widgetsetBuilder</buildcommand>
452
              <buildcommand>com.vaadin.integration.eclipse.addonStylesBuilder</buildcommand>
453
            </additionalBuildcommands>
454
          </configuration>
455
        </plugin>
456
        <!--This plugin's configuration is used to store Eclipse m2e settings only. It has no influence on the Maven build itself.-->
457
        <plugin>
458
          <groupId>org.eclipse.m2e</groupId>
459
          <artifactId>lifecycle-mapping</artifactId>
460
          <version>1.0.0</version>
461
          <configuration>
462
            <lifecycleMappingMetadata>
463
              <pluginExecutions>
464
                <pluginExecution>
465
                  <pluginExecutionFilter>
466
                    <groupId>com.lazerycode.selenium</groupId>
467
                    <artifactId>
468
                      driver-binary-downloader-maven-plugin
469
                    </artifactId>
470
                    <versionRange>[1.0.14,)</versionRange>
471
                    <goals>
472
                      <goal>selenium</goal>
473
                    </goals>
474
                  </pluginExecutionFilter>
475
                  <action>
476
                    <ignore />
477
                  </action>
478
                </pluginExecution>
479
              </pluginExecutions>
480
            </lifecycleMappingMetadata>
481
          </configuration>
482
        </plugin>
483
      </plugins>
484
    </pluginManagement>
485
  </build>
486
  <dependencies>
487
    <!-- ============ Vaadin ============ -->
488
    <dependency>
489
      <groupId>com.vaadin</groupId>
490
      <artifactId>vaadin-spring</artifactId>
491
      <version>${vaadin-spring.version}</version>
492
    </dependency>
493
    <dependency>
494
      <groupId>org.vaadin.spring.addons</groupId>
495
      <artifactId>vaadin-spring-addon-eventbus</artifactId>
496
      <version>${vaadin-spring-addon-eventbus.version}</version>
497
    </dependency>
498
    <dependency>
499
      <groupId>com.vaadin</groupId>
500
      <artifactId>vaadin-server</artifactId>
501
    </dependency>
502
    <dependency>
503
      <groupId>com.vaadin</groupId>
504
      <artifactId>vaadin-client-compiled</artifactId>
505
    </dependency>
506
    <!-- Needed when using the widgetset optimizer (custom ConnectorBundleLoaderFactory). 
507
      For widgetset compilation, vaadin-client-compiler is automatically added 
508
      on the compilation classpath by vaadin-maven-plugin so normally there is 
509
      no need for an explicit dependency. -->
510
    <!-- <dependency> <groupId>com.vaadin</groupId> <artifactId>vaadin-client-compiler</artifactId> 
511
      <version>${vaadin.version}</version> <scope>provided</scope> </dependency> -->
512
    <dependency>
513
      <groupId>com.vaadin</groupId>
514
      <artifactId>vaadin-client</artifactId>
515
      <scope>test</scope>
516
      <exclusions>
517
        <exclusion>
518
          <groupId>javax.validation</groupId>
519
          <artifactId>validation-api</artifactId>
520
        </exclusion>
521
      </exclusions>
522
    </dependency>
523
    <!-- disabling push for the moment because it does not work with run-jetty-run 
524
      due to the fact that the latest (even nightly) version of run-jetty-run uses 
525
      9.0.0 M3 which is incompatible with atmoshpere. this does work with the jetty 
526
      included in this pom which is 9.2.5.xx, implying that enabling the dependency 
527
      and running the web app via 'mvn jetty:run' works fine. -->
528
    <!-- <dependency> -->
529
    <!-- <groupId>com.vaadin</groupId> -->
530
    <!-- <artifactId>vaadin-push</artifactId> -->
531
    <!-- <version>${vaadin.version}</version> -->
532
    <!-- </dependency> -->
533
    <dependency>
534
      <groupId>com.vaadin</groupId>
535
      <artifactId>vaadin-themes</artifactId>
536
    </dependency>
537
    <!-- vaadin addons / extensions -->
538
    <dependency>
539
      <groupId>org.vaadin.addons</groupId>
540
      <artifactId>contextmenu</artifactId>
541
      <version>4.5</version>
542
    </dependency>
543
    <dependency>
544
      <groupId>org.vaadin.teemu</groupId>
545
      <artifactId>switch</artifactId>
546
      <version>2.0.4-SNAPSHOT</version>
547
    </dependency>
548
    <dependency>
549
      <groupId>org.vaadin</groupId>
550
      <artifactId>viritin</artifactId>
551
      <version>1.61</version>
552
    </dependency>
553
    <dependency>
554
      <groupId>org.vaadin.addon</groupId>
555
      <artifactId>v-leaflet</artifactId>
556
      <version>1.0.3</version>
557
    </dependency>
558
    <dependency>
559
      <groupId>org.vaadin.addons.lazyquerycontainer</groupId>
560
      <artifactId>vaadin-lazyquerycontainer</artifactId>
561
      <version>7.6.1.3</version>
562
    </dependency>
563
    <dependency>
564
      <groupId>com.flowingcode.vaadin.addons</groupId>
565
      <artifactId>error-window-vaadin</artifactId>
566
      <version>1.0.0</version>
567
    </dependency>
568
    <!-- 
569
    <dependency>
570
        <groupId>org.vaadin.spring.extensions</groupId>
571
        <artifactId>vaadin-spring-ext-test</artifactId>
572
        <version>0.0.8-SNAPSHOT</version>
573
        <scope>test</scope>
574
    </dependency>
575
     -->
576
    <!--     <dependency>
577
        only in the edit repo
578
      <groupId>org.vaadin.addons</groupId>
579
      <artifactId>lazyloadwrapper</artifactId>
580
      <version>0.1-alpha</version>
581
    </dependency> -->
582
    <!-- ============ cdmlib ============ -->
583
    <dependency>
584
      <groupId>eu.etaxonomy</groupId>
585
      <artifactId>cdmlib-remote</artifactId>
586
      <scope>compile</scope>
587
    </dependency>
588
    <dependency>
589
      <groupId>eu.etaxonomy</groupId>
590
      <artifactId>cdmlib-cache</artifactId>
591
      <version>${cdmlib.version}</version>
592
    </dependency>
593
    <dependency>
594
      <groupId>eu.etaxonomy</groupId>
595
      <artifactId>cdmlib-test</artifactId>
596
      <scope>test</scope>
597
    </dependency>
598
    <dependency>
599
      <groupId>eu.etaxonomy</groupId>
600
      <artifactId>cdmlib-db</artifactId>
601
      <version>${cdmlib.version}</version>
602
      <scope>test</scope>
603
    </dependency>
604
    <!-- ============ Other ============ -->
605
    <!-- 
606
        to override version number coming with vaadin client 
607
        version is managed in cdmlib-parent
608
    -->
609
    <dependency>
610
      <groupId>javax.validation</groupId>
611
      <artifactId>validation-api</artifactId>
612
    </dependency>
613
    <dependency>
614
      <groupId>org.springmodules</groupId>
615
      <artifactId>spring-modules-cache</artifactId>
616
      <version>0.7</version>
617
      <exclusions>
618
        <exclusion>
619
          <groupId>org.springframework</groupId>
620
          <artifactId>spring</artifactId>
621
        </exclusion>
622
        <exclusion>
623
          <groupId>org.springframework</groupId>
624
          <artifactId>spring-mock</artifactId>
625
        </exclusion>
626
      </exclusions>
627
      <scope>test</scope>
628
    </dependency>
629
    <dependency>
630
      <groupId>org.springframework</groupId>
631
      <artifactId>spring-test</artifactId>
632
      <scope>test</scope>
633
    </dependency>
634
    <dependency>
635
      <groupId>org.json</groupId>
636
      <artifactId>json</artifactId>
637
    </dependency>
638
    <dependency>
639
      <groupId>javax.servlet</groupId>
640
      <artifactId>javax.servlet-api</artifactId>
641
      <scope>provided</scope>
642
    </dependency>
643
    <!-- ========== testing ======== -->
644
    <dependency>
645
      <groupId>com.codeborne</groupId>
646
      <artifactId>selenide</artifactId>
647
      <version>4.7.1</version>
648
      <scope>test</scope>
649
    </dependency>
650
    <dependency>
651
      <groupId>org.springframework.boot</groupId>
652
      <artifactId>spring-boot</artifactId>
653
    </dependency>
654
    <dependency>
655
      <groupId>org.springframework.boot</groupId>
656
      <artifactId>spring-boot-starter-jetty</artifactId>
657
    </dependency>
658
    <dependency>
659
      <groupId>org.springframework</groupId>
660
      <artifactId>spring-beans</artifactId>
661
    </dependency>
662
  </dependencies>
663
</project>
Add picture from clipboard (Maximum size: 40 MB)